package com.kingdee.eas.custom.projectbonus;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBonusCycleBusDepProjectInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractBonusCycleBusDepProjectInfo()
    {
        this("id");
    }
    protected AbstractBonusCycleBusDepProjectInfo(String pkField)
    {
        super(pkField);
        put("AssPersonnelDetail", new com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectAssPersonnelDetailCollection());
    }
    /**
     * Object: 事业部项目表 's null property 
     */
    public com.kingdee.eas.custom.projectbonus.BonusCycleInfo getParent()
    {
        return (com.kingdee.eas.custom.projectbonus.BonusCycleInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.projectbonus.BonusCycleInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 事业部项目表 's 分配人员明细表 property 
     */
    public com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectAssPersonnelDetailCollection getAssPersonnelDetail()
    {
        return (com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectAssPersonnelDetailCollection)get("AssPersonnelDetail");
    }
    /**
     * Object: 事业部项目表 's 事业部 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getBusDep()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("busDep");
    }
    public void setBusDep(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("busDep", item);
    }
    /**
     * Object: 事业部项目表 's 二级中心 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getSecondcenter()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("secondcenter");
    }
    public void setSecondcenter(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("secondcenter", item);
    }
    /**
     * Object:事业部项目表's 分类property 
     */
    public String getType()
    {
        return getString("type");
    }
    public void setType(String item)
    {
        setString("type", item);
    }
    /**
     * Object: 事业部项目表 's 项目 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getProject()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("project");
    }
    public void setProject(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("project", item);
    }
    /**
     * Object:事业部项目表's 状态property 
     */
    public com.kingdee.eas.custom.projectbonus.bizEnum.BusDepProjectStateEnum getState()
    {
        return com.kingdee.eas.custom.projectbonus.bizEnum.BusDepProjectStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.eas.custom.projectbonus.bizEnum.BusDepProjectStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object: 事业部项目表 's 事业部负责人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPrincipal()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("principal");
    }
    public void setPrincipal(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("principal", item);
    }
    /**
     * Object: 事业部项目表 's 项目负责人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getProjectPrincipal()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("projectPrincipal");
    }
    public void setProjectPrincipal(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("projectPrincipal", item);
    }
    /**
     * Object:事业部项目表's 奖金分包金额（万元）property 
     */
    public java.math.BigDecimal getBonusAmount()
    {
        return getBigDecimal("bonusAmount");
    }
    public void setBonusAmount(java.math.BigDecimal item)
    {
        setBigDecimal("bonusAmount", item);
    }
    /**
     * Object:事业部项目表's 非负责人初始比例property 
     */
    public java.math.BigDecimal getNotPrincipalPropor()
    {
        return getBigDecimal("notPrincipalPropor");
    }
    public void setNotPrincipalPropor(java.math.BigDecimal item)
    {
        setBigDecimal("notPrincipalPropor", item);
    }
    /**
     * Object:事业部项目表's 负责人初始比例property 
     */
    public java.math.BigDecimal getPrincipalPropor()
    {
        return getBigDecimal("principalPropor");
    }
    public void setPrincipalPropor(java.math.BigDecimal item)
    {
        setBigDecimal("principalPropor", item);
    }
    /**
     * Object:事业部项目表's 上半年总奖金额（100%口径）（万元）property 
     */
    public java.math.BigDecimal getTotalBonusHalf()
    {
        return getBigDecimal("totalBonusHalf");
    }
    public void setTotalBonusHalf(java.math.BigDecimal item)
    {
        setBigDecimal("totalBonusHalf", item);
    }
    /**
     * Object:事业部项目表's ①直管项目奖金（万元）property 
     */
    public java.math.BigDecimal getDirectManProjBonus()
    {
        return getBigDecimal("directManProjBonus");
    }
    public void setDirectManProjBonus(java.math.BigDecimal item)
    {
        setBigDecimal("directManProjBonus", item);
    }
    /**
     * Object:事业部项目表's ②委托项目奖金（万元）property 
     */
    public java.math.BigDecimal getContraManProjBonus()
    {
        return getBigDecimal("contraManProjBonus");
    }
    public void setContraManProjBonus(java.math.BigDecimal item)
    {
        setBigDecimal("contraManProjBonus", item);
    }
    /**
     * Object:事业部项目表's ③共管项目奖金（万元）property 
     */
    public java.math.BigDecimal getCondManProjectBonus()
    {
        return getBigDecimal("condManProjectBonus");
    }
    public void setCondManProjectBonus(java.math.BigDecimal item)
    {
        setBigDecimal("condManProjectBonus", item);
    }
    /**
     * Object:事业部项目表's ④战略型项目奖金（万元）property 
     */
    public java.math.BigDecimal getStraManProjectBonus()
    {
        return getBigDecimal("straManProjectBonus");
    }
    public void setStraManProjectBonus(java.math.BigDecimal item)
    {
        setBigDecimal("straManProjectBonus", item);
    }
    /**
     * Object:事业部项目表's ⑤奖金调整（万元）property 
     */
    public java.math.BigDecimal getBonusAdjustment()
    {
        return getBigDecimal("bonusAdjustment");
    }
    public void setBonusAdjustment(java.math.BigDecimal item)
    {
        setBigDecimal("bonusAdjustment", item);
    }
    /**
     * Object:事业部项目表's 奖金调整说明property 
     */
    public String getBonusAdjustmentDesc()
    {
        return getString("bonusAdjustmentDesc");
    }
    public void setBonusAdjustmentDesc(String item)
    {
        setString("bonusAdjustmentDesc", item);
    }
    /**
     * Object:事业部项目表's 上半年实发奖金额（①+②+③+④+⑤）（万元）property 
     */
    public java.math.BigDecimal getTotalBonusReal()
    {
        return getBigDecimal("totalBonusReal");
    }
    public void setTotalBonusReal(java.math.BigDecimal item)
    {
        setBigDecimal("totalBonusReal", item);
    }
    /**
     * Object:事业部项目表's 事业部平台初始分配比例property 
     */
    public java.math.BigDecimal getInitialAllocationRatio1()
    {
        return getBigDecimal("initialAllocationRatio1");
    }
    public void setInitialAllocationRatio1(java.math.BigDecimal item)
    {
        setBigDecimal("initialAllocationRatio1", item);
    }
    /**
     * Object:事业部项目表's ∑项目初始分配比例property 
     */
    public java.math.BigDecimal getInitialAllocationRatio2()
    {
        return getBigDecimal("initialAllocationRatio2");
    }
    public void setInitialAllocationRatio2(java.math.BigDecimal item)
    {
        setBigDecimal("initialAllocationRatio2", item);
    }
    /**
     * Object:事业部项目表's 直管项目负责人初始分配比例property 
     */
    public java.math.BigDecimal getInitialAllocationRatio3()
    {
        return getBigDecimal("initialAllocationRatio3");
    }
    public void setInitialAllocationRatio3(java.math.BigDecimal item)
    {
        setBigDecimal("initialAllocationRatio3", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("394F1FA6");
    }
}